import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class OrderItem {
    late String id;
    late String itemId;
    late String orderId;
    late String name;
    late Selections selections;
    late int quantity;
    late double amount;

    OrderItem.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        itemId = map["item_id"];
        orderId = map["order_id"];
        name = map["name"];
        selections = Selections.fromJson(map["selections"]);
        quantity = map["quantity"];
        amount = map["amount"];
    }
}

class Selections {
    late double price;
    late List<String> selections;
    
    Selections.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        price = map["price"];
        selections = map["selections"];
    }
}