import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

/// represents a response from server authentication
@reflector
class TokenResponse {
    /// user id
    late String id;
    /// access token
    late String access;
    /// refresh token
    late String refresh;

    /// json constructor
    TokenResponse.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        access = map["access"];
        refresh = map["refresh"];
    }

    TokenResponse.fromJsonMap(Map json) {
        id = json["id"];
        access = json["access"];
        refresh = json["refresh"];
    }
}